Skip to main content
GET
/
webhooks
/
{webhookId}
Get a single webhook by its ID (no logs).
curl --request GET \
  --url https://api.komerza.com/webhooks/{webhookId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "<string>",
  "code": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "dateCreated": "2023-11-07T05:31:56Z",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "storeIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "executionLogs": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "dateCreated": "2023-11-07T05:31:56Z",
        "url": "<string>",
        "signature": "<string>",
        "requestBody": "<string>",
        "retryCount": 123,
        "responseCode": 123,
        "responseBody": "<string>",
        "webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "userId": "<string>",
        "userAgent": "<string>",
        "orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "userId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your API key goes here

Path Parameters

webhookId
string<uuid>
required

The ID of the webhook

Response

The object was successfully returned.

Represents a default generic response for API endpoints.

success
boolean
required

Indicates whether the operation or response was successful.

message
string | null

A descriptive message providing additional context or information about the response.

code
string | null

The error code (if there was an error) to use when referencing the error

data
object

Merchant-facing webhook, V2 system not the old one. Supports multiple store IDs in StoreIds.